Options for Client.createChannel.

### Hierarchy

- CreateChannelOptions

## Index

### Properties

- attributes
- friendlyName
- isPrivate
- uniqueName

## Properties

### Optional attributes

attributes: any

Any custom attributes to attach to the channel.

### Optional friendlyName

friendlyName: string

A non-unique display name of the channel.

### Optional isPrivate

isPrivate: boolean

Signifies whether the channel is private.

### Optional uniqueName

uniqueName: string

A unique identifier of the channel.